#include <stdio.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>

int getline(char s[], int lim){
	int i, c;
	for (i=0; i<lim && (c=getchar()) != EOF && c != '\n'; ++i) {
		s[i] = c;
	}
	s[i] = '\0';
	return (i);
}


void buborek(int sz[], int n){
int i, j;
int  csere;

for(i=0;i<n-1;i++){
	for(j=n; j>i; j--)
	{
		if(sz[j]<sz[j-1]){
			csere=sz[j];
			sz[j]=sz[j-1];
			sz[j-1]=csere;
		}
	}
}
}



int szame(char s[]){
int i,h=0,ok=1;
h=strlen(s);

for(i=0;i<h;i++){
	if(!isdigit(s[i])){ok=0;}
}
return ok;
}


void main(void){
char s[128];
int sz[128];
int seg[128];
int ok=1,n=0,i=0,h=0,q=0,j=0;
	
printf("\tKockadobas kezelo program\n");	

printf("Adja meg, hany kockadobast vegez!(egesz szam lehet csak!)");

do{
h=getline(s,128);

if(szame(s)){ok=1; 
	n=atoi(s);
	if(n>100){ok=0; printf("A dobasok szama nem lehet tobb mint 100, add meg ujra!\n");}
}
else{ok=0; printf("Rossz megadas,adja meg ujra!\n");}	
}while(ok!=1);


printf("Adja meg a kockadobasokat:");

do{
h=getline(s,128);
if(szame(s)){
ok=1; 
	if(n!=h){ok=0; printf("Nem %d dobast adott meg\n",n);}
	else{
	for(i=0;i<h;i++){
	n=atoi(s[i]);	
	sz[i]=n;}
	
	buborek(sz,n);
			
	}
}

else{ok=0; printf("Nem jo megadas!\n");}
}while(ok!=1);


for(q=0;q<n+1;q++)
{
printf("%d\n",sz[q]);
seg[q]=0;	
}


for(q=0;q<n+1;q++){
	if(sz[q]=q+1){seg[q+1]++;}
}

for(j=0;j<6;j++){
printf("%d-bol: %d darab\n",j+1,seg[j]);
}
}
